Subject: pkg/21854: glib2 build failure on Linux
To: None <>
From: None <>
List: netbsd-bugs
Date: 06/11/2003 10:46:58
>Number:         21854
>Category:       pkg
>Synopsis:       glib2 build failure on Linux
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Wed Jun 11 10:47:00 UTC 2003
>Originator:     Martti Kuparinen
>Release:        Gentoo Linux
Linux n52 2.4.20-gentoo-r5 #3 SMP Wed May 14 09:55:07 EEST 2003 i686 AMD Athlon(tm) XP 2400+ AuthenticAMD GNU/Linux

I have pkgsrc on my Linux host and I tried to compile xfce. The compilation fails on glib2 :-(

# which libtool

# libtool --version (GNU libtool) 1.4.1 (1.922.2.34 2001/09/03 01:22:13)

# cd /usr/pkgsrc/devel/glib2
# bmake
===> Patching for glib2-2.2.2
===> Applying pkgsrc patches for glib2-2.2.2
===> Buildlinking for glib2-2.2.2
libtool: link: the `-version-info' option requires an argument
Try `libtool --help --mode=link' for more information.
libtool: install: `.la' is not a valid libtool archive
Try `libtool --help --mode=install' for more information.
/bin/sed: can't read /usr/pkgsrc/devel/glib2/work/.buildlink/.tmp/inst/.la: No such file or directory
*** Error code 2